CFMetaData.SpeculativeRetry (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.config

## Class CFMetaData.SpeculativeRetry

- java.lang.Object
- - org.apache.cassandra.config.CFMetaData.SpeculativeRetry

- Enclosing class:
    CFMetaData

      public static class CFMetaData.SpeculativeRetry
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CFMetaData.SpeculativeRetry.RetryType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CFMetaData.SpeculativeRetry.RetryType` | `type`
    `double` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `static CFMetaData.SpeculativeRetry` | `fromString(java.lang.String retry)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final CFMetaData.SpeculativeRetry.RetryType type

    - #### value

          public final double value

  - ### Method Detail

    - #### fromString

          public static CFMetaData.SpeculativeRetry fromString(java.lang.String retry)
                                                        throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation